# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:check) do
  include EasyType

  @messages = ''

  desc <<-DESC
  The command to execute as a validation check.
  DESC

  def change_to_s(_current, _should)
    'The check has executed and found issues.'
  end

  def insync?(_to)
    return true if resource[:refreshonly].to_s == 'true'

    output = provider.execute_check
    output.match?(resource[:expected_output])
  end

  data_type('String[1]')
end
